# Job Posting Applications Job Posting Applications ## Creates a new job posting application record that does not already exist. - [POST /jobPostingApplications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/createjobpostingapplication.md): This method will auto-generate an ID and create a new job posting application. If an ID is specified for the job posting application, an error will be thrown. ## Execute Batch Operations - [POST /jobPostingApplications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /jobPostingApplications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a job posting application from the system by its ID. - [DELETE /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/deletejobpostingapplication.md): This method will delete a job posting application with the specified ID. ## Returns a job posting application from the system by its ID. - [GET /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/getjobpostingapplication.md): This method will look up a job posting application by the specified ID and return it back. ## Partially updates a job posting application with the specified ID. - [PATCH /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/patchjobpostingapplication.md): This method will patch an existing job posting application with the specified ID, using the HTTP PATCH specification. ## Updates a job posting application with the specified ID. - [PUT /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/updatejobpostingapplication.md): This method will update an existing job posting application with the specified ID.